Saurik 与 Electra 越狱工具开发者不和:将不提供cydia依赖支持

最近越狱圈因 iOS 11 Electra 越孽吻狱工具开发者自行改写 Cydia ,让越狱用户能抢先在 iOS 11 越狱上使用,但 Cydia 之父 Saurik 在 Electra 越孽吻狱工具公开版本推出后,又再度写了一长串声明,明确告诉越狱用户,如你要使用  iOS 11 Electra 越孽吻狱,那要自己去解决,我不会替 Electra 越孽吻狱更新任何依赖。

Saurik 与 Electra 越<a href=孽吻狱工具开发者不和:将不提供cydia依赖支持" title="Saurik 与 Electra 越孽吻狱工具开发者不和:将不提供cydia依赖支持" style="white-space: normal;" title="iOS11~11.1.2越狱工具Electra更新:终于支持Cydia了!" alt="iOS11~11.1.2越狱工具Electra更新:终于支持Cydia了!" src="/uploads/allimg/180303/11430S913-0.jpg?w=600,336&b=56"/>

针对Saurik 叙述内容大致可概括为以下几点:

1、apt7-lib v0.7.25.3-15 版本是针对 Cydia 官方版本的 iOS 2.0~10.3上使用,不支持 Electa 修改版的 Cydia 。

2、Cydia 依赖与核心插件并不会替所有非官方的版本进行更新,不建议越狱用户使用修改版的 Cydia 版本,后续可能替 iOS 11发布 Cydia 和Substrate。

3、使用 Electa 越狱工具的用户,其实都是在使用 Coolstar 私自拼凑而成的 Cydia ,如果你安装了 Electa 越狱工具,建议不要更新所有 Cydia 软件源上的更新,没有兴趣花更多时间去维护 Electa 版本所推出 Cydia 兼容性问题。

4、Coolstar 他所发表的修改版 Cydia,在版本取名控制上并不是很好,这很有可能会导致后续出现版本冲突问题。

5、很确定新版本 Substrate 也会支持 Electa 版,LiberiOS 可能也会,但后续可能会让两种越狱工具都能够支援。

6、再说一次我没有兴趣会去处理 Coolstar 所开发的 Cydia 版本,就算很多人求我,这都不是我的问题,我只想要睡觉,你应该要去找 Coolstar 。

Saurik 这几个月在越狱圈相当气愤,经常会有长篇言论出现,多数是与多名iOS 10、iOS 11 越狱开发者进行争论,认为越狱工具问题并非是他的责任,不应该将问题推给 Saurik 去处理。

Saurik 与 Electra 越<a href=孽吻狱工具开发者不和:将不提供cydia依赖支持" title="Saurik 与 Electra 越孽吻狱工具开发者不和:将不提供cydia依赖支持" src="/uploads/allimg/180303/11430QP7-1.jpg?w=600,534&b=72" title=" " alt=" "/>

不过 Coolstar 开发者也在 Reddit 论坛上,直接针对 Saurik 提出的想法进行回应:

1、只有 APT 和 Cydia 才是真正有修改过的版本,Electra 越孽吻狱所用的都来自其它地方,并非是 Saurik 上的。

2、对於 Substrate 支援问题,我不确定你是否跟我一起合作越狱开发工作会感兴趣,因為我有联系过你好几次,但是都是直接被拒绝(去年12月你说过正在与某位神秘开发者工作,而且当时对我正在建造的解决方案完全没兴趣)。

3、由于当前使用的 arm64 相当旧,我就替 arm64 重新编写最新版本(除dpkg和 APT 外),并且还提供了必要 platform-application 和 com.apple.private.skip-library-validatio ,并且新增了简单三种 jailbreakd 的方案(当 ldrestart 调用 jailbreakd,只有新增了些代码,所以他不会重启动 amfid 和 jailbreakd)

4、建立这些软件源时,我已经完整思考过要如何替 Substrate 提供更简单的升级方案,实际上 Electra  所附加的预设软体源都可让旧版 iOS 的 arm64 都可使用。

明显可得知 Saurik 直接拒绝与 Coolstar 合作,Saurik 很早之前(去年12月)就已经透露承诺过会替 iOS 11更新 Cydia ,到目前依旧没有任何下落与任何进度说明,等待期已经花费了几个月时间,如果继续等待可能会等到 iOS 12推出后都还尚未看见。

这也导致越狱开发者需要自己找出解决方法,毕竟当前 iOS 越狱生态圈一直依赖 Saurik 更新,全部的进度都会掌握在他手上,与不少开发者闹不合。

但好在是 iOS 11 越狱上还有 Coolstar 与其它开发者共同使用其它的方案来解决在 iOS 11 能顺利执行 Cydia 问题,不过直到修改版 Cydia 公开放出后,Saurik 突然才推出 apt7-lib 更新,造成使用 iOS 11 修改版 Cydia 更新后导致错误发生,逼迫使用 Electra 越孽吻狱用户要透过手动降旧版本解决,而推出更新时间相当巧合,就在修改版 Cydia 推出当天,这让人质疑这就是 Saurik 故意想让捉弄已经使用 Electra 越孽吻狱用户。


上一篇:iOS11~11.1.2越狱工具Electra更新:终于支持Cydia了!
下一篇:Electra越狱导致cydia出现红黄字错误,这是怎么回事?